:root{
    --azul: #1f32e8;
    --azul_osc: #030d63;
    --blanco: #f4e8ee;
    --rosado: #ff8aff;
    --celeste: #4afad9 ; /*00DBF4*/
    --amarillo: #e59c6a ;
    --gris: #4569d2;

    --fuenteprincipal: 'Fredoka One', cursive;
    --fuente-secundaria: 'Roboto', sans-serif;
}

html {
    box-sizing: border-box;
    font-size: 62.5%;
}
*, *:before, *:after {
    box-sizing: inherit;
  }
*{
    margin: 0;
    box-sizing: border-box;
}

  
/*Globales*//*Globales*//*Globales*//*Globales*//*Globales*//*Globales*/

body {
    background-color: var(--blanco);
    font-size: 1.6rem;
    line-height: 1.5;
}

p{  font-size: 1.8rem; font-weight: 300;line-height: 1.5;color: var(--azul_osc);font-family: var(--fuente-secundaria); text-align: justify;}
a{text-decoration:none;}

h1{font-family: var(--fuenteprincipal);    font-size: 4.8rem;    color: var(--azul);}
h2{ font-family: var(--fuenteprincipal); font-size: 3.6rem;color: var(--azul);}
h3{ font-family: var(--fuenteprincipal); font-weight: 300; font-size: 2.0rem; color: var(--gris);}
img { max-width: 100%; border-radius: 1rem;}


.flecha{
    position: fixed;
    z-index: 50;
    display: none;
    bottom: 2rem;
    right: 2rem;
    transition: 0.5s ease-in-out;
}
.flecha__imagen{
    max-width: 20rem;
}

@media (min-width: 768px) {
    .flecha{
        display: none;
    }
}

/*PRELOADER*/

.loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: #00DBF4; /*aqui dependera del fondo de tu imagen y de tu pagina*/
    }
    .loader img {
    width: 250px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    }


/*HEADER HEADER HEADER*/
header{
    position: sticky;
    background-color: var(--blanco);
    width: 100%;
    top: -.1rem;
    z-index: 51;
    padding-top: 2rem;
}
.content__navbarylogo{
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin:auto;
   
}

.navbar__logoymenu img{
    max-width: 15rem;
    }

@media (min-width: 768px) {
    header{
        position: initial;
    }
    .content__navbarylogo{
        flex-direction: column;
    }
    .navbar__logoymenu img{
        max-width: 20rem;
        }
}

.contenedor__logo{
    display: flex;
    justify-content: center;
    text-align: center;
    height: max-content;
}

/*NAV BAR NAV BAR NAV BAR*//*NAV BAR NAV BAR NAV BAR*//*NAV BAR NAV BAR NAV BAR*//*NAV BAR NAV BAR NAV BAR*//*NAV BAR NA-V BAR NAV BAR*/


.nav{
    display: flex;
    justify-content: center;
   margin: 2.5rem auto;
}
.nav ul{
    
    padding-inline-start:0;
}
.nav__menu{
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    list-style: none;
    gap: 2rem;
    background-color: var(--celeste);
    border-radius: 1rem;
    position: fixed;
    right: 0;
   
    
    width: 100%;
  
    height: calc(50% - 1rem);
    overflow-y: auto;
    z-index: 55;
    top: 0%;
    transition: top 0.3s ease-in-out;
    top: 15%;
}



.nav__menu--item a{
    font-family: var(--fuenteprincipal);
    font-size: 3.6rem;
    list-style: none;
    color: var(--azul);
    
      }


.nav__menu--link{
padding: 1rem;
border-radius: 2rem;
}

.nav__menu--link:hover{
    background-color: var(--rosado);
    color: var(--azul_osc);
    transition: 0.5s;
}


.nav__toggle{
    background: none;
    border: none;
    font-size: 3.6rem;
    padding: .8rem;
    display: flex;
    color: var(--azul);
}
li{
    text-align: center;
}
.nav__enlace--activo{
    color: var(--rosado);
}

.nav__menu--visible{
top: 100%;
}



@media (min-width: 768px) {
    .nav__menu{
        flex-direction: row;
        justify-content: center;
        background-color: unset;
        border-radius: none;
        position: unset;
        
       
    }
    .nav__toggle{
        
        display: none;
    }
    .nav__enlace--activo{
        background-color: var(--rosado);
        color: var(--azul_osc);
    }
    .nav__menu--link:hover{
        background-color: var(--celeste);
        color: var(--azul_osc);
        transition: 0.5s;
    }

    .nav__menu--item{margin: .8rem 1.8rem;}
    .nav__menu--item a{
    font-family: var(--fuenteprincipal);
    color: var(--azul);
    font-size: 2.4rem;
      }
}

/*MAIN MAIN MAIN MAIN MAIN MAIN MAIN MAIN MAIN*/
.contenedor__general{
    max-width: 80%;
    margin: 0 auto 5rem auto;

}
/*WORK WORK WORK WORK WORK WORK*/
/*WEB WEB WEB WEB WEB WEB WEB WEB WEB WEB *WEB WEB WEB WEB WEB */

.cont__web{
    display: flex;
    max-width: 99.2rem;
    flex-direction: column;
    justify-content: center;
    margin: auto;
    text-align: center;
}

.matazanos{
    overflow: hidden;
    border-radius: 1rem;
}
.matazanos__imagen{
    max-width: 100%;
    
}

.matazanos__imagen:hover{
    transform: scale(1.1);
    transition: .3s ease-in-out;

}

/*ilustration ilustration ilustration ilustration ilustration */
.contenedor__ilustration{
    max-width: 90%;
    text-align: center;
    margin: 10% auto 0 auto;
    
}

.portadas__contenedor{
    display: grid;

    grid-template-columns: repeat( 1, 1fr);
    gap: 2rem;
}

 .portada{
    overflow:hidden;
    position: relative;
 }
 .portada__imagen{
     border-radius: 1rem;
     max-width: 100%;
    
 }
.portada__hover{
    display: flex;
    text-align: center;
    position: absolute;
    background-color: var(--celeste);
    opacity: 0%;
    border-radius: 1rem;
    z-index: 20;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    transition: 1s;
}
.portada__hover p{
    color: var(--azul_osc);
    font-size: 3.6rem;
    font-weight: bold;
    text-align: center;
}
.portada__hover:hover{
opacity: 85%;
cursor: pointer;
}

.portada__imagen:hover{
    transform: scale(1.1);
    transition: .3s ease-in-out;

}
.hermanxs__cover{
    width: 100%;
}


@media (min-width: 768px) {
    .portadas__contenedor{
         
        grid-template-columns: repeat(2, 1fr);
        column-gap: 3rem;
        row-gap: 2rem;
    }
    

}

.cont__vampira{
    display: flex;
    flex-direction: column;
    text-align: center;
    
    width: 80%;
    margin: 8rem auto 0 auto;
}@media (min-width: 768px) {
    .cont__vampira{
        width: 50%;
    }
    
}
 
/*GALERIAS GALERIAS GALERIAS GALERIAS GALERIAS GALERIAS GALERIAS GALERIAS GALERIAS*/

.contenedor__galeria{
    max-width: 100%;
    
    margin: 0 auto 0 auto;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    
    
}

.ilustracion__grande{
   
     /* overflow: hidden; */
     margin: 5rem auto;
     align-items: center;
     display: flex;
     flex-direction: column;
 
 }

@media (min-width: 768px) {
    
.ilustracion__grande{

  
    /* overflow: hidden; */
    margin: 5rem auto;
    align-items: center;
    display: flex;
    flex-direction: column;

}

.ilustracion__grande__img{
    max-width: 100%;
    margin: auto;
    border-radius: 1rem;
    
}
.content__alsolike{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 2rem;
    margin: 3rem auto 0 auto;
  
}

.alsolike{
    overflow:hidden;
    max-height: 30rem;
    border-radius: 1rem;
 }
} 
.alsolike__img:hover{
    transform: scale(1.1);
    transition: .3s ease-in-out;

}



/*ABOUT ABOUT ABOUT ABOUT ABOUT*/

.cont__about{
    max-width: 100%;
    margin: 0 auto 0 auto;
   
}

.about__fotoytexto{
 margin: 5rem auto;    
}

.about__texto, .about__foto{
    display: flex;
    flex-direction: column;
    margin: 2rem 0;
}
.about__p{
    margin: 1rem 0 1rem 0;
}
.about__mago{
 width: 80%;
 margin: 5rem auto;
}

@media (min-width: 768px) {
  
    .about__fotoytexto{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 2.5rem;
    }
    
    .about__foto, .about__texto{
        max-width: 50rem;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .texto2{
        grid-column: 2 / 1;
        grid-row: 2 / 3;
    }

    .foto3{
        grid-column: 1 / 3;
        grid-row: 3 / 4;
        max-width: 100%;
    
    }
    .texto3{
        grid-column: 1 / 3;
        grid-row: 4 / 5;
        max-width: 100%;
    }

    .texto4{
        grid-column: 2 / 3;
        grid-row: 5 / 6;
       
    }
    .about__mago{
        width: 45%;
        margin: 10rem auto 2rem auto;
       }
}

/*@media (min-width: 768px) {
    .about__fotoytexto{
        max-width: 80%;
        display: flex;
        gap: 2rem;
        align-items: center;
        justify-content: space-around;
       }
       .about__foto, .about__texto{
           max-width: 50rem;
       }
       .about__mago{
        width: 35%;
        margin: 20rem auto 2rem auto;
       }
    
}*/

/*CONTACT CONTACT CONTACT CONTACT CONTACT CONTACT*/

.cont__contact{ 
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 90%;
    margin: 5rem auto;

}

.cont__redes{
    display: flex;
    
    align-items: center;
    justify-content: space-around;
    width: 100%;
    margin: 5rem auto 5rem auto;
    gap: 3rem;
}

.cont__redes__link{
    
    height: 100%;
 }
.cont__redes__img{
 max-width: 5rem ;
 border-radius: 0;
 padding: .5rem;
 text-align: center;

}

.cont__redes__link:hover{
    transform: scale(1.1);
    transition: .3s ease-in-out;
    background-color: #4afad9;
    border-radius: 1rem;

}
.here {
    color: var(--azul);
    width: 100%;
}

.here:hover{
 
    color: var(--celeste);
    border-radius: .5rem;
    transition: .3s ease-in-out;
}

.here::after{
    color: #4afad9;
}
@media (min-width: 768px) {
    

.cont__redes{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 75%;
    margin: 5rem auto 5rem auto;

}

.cont__redes img{
    max-width: 8rem; border-radius: none;
    padding: 1rem;
}
}

/*FOOTER FOOTER FOOTER FOOTER FOOTER FOOTER FOOTER FOOTER FOOTER FOOTER*/

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    margin: 0;
  }

.footer__lista{
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 1rem;
    width: 90%;
}

.footer__icono{
    width: 3.0rem;
    border-radius: 0%;
    padding: .4rem;
    border-radius: .8rem;
}
.footer__icono:hover{
    transform: scale(1.1);
    transition: .2s ease-in-out;
    background-color: #4afad9;
}
ul {
    list-style: none;
    padding-inline-start:0;
}

footer p{
    font-size: 1.0rem;
    font-family: var(--fuente-secundaria);
    font-weight: 300;
    color: var(--azul);
    padding: 1.5rem;
}

@media (min-width: 768px) {
    .footer__lista{
        gap: 2rem;
        width: 40%;
    }
    .footer__icono{
        width: 3.0rem;
        padding: .5rem;
        border-radius: .5rem;
    }

  footer{
      gap:0;
  }
       
}